/*
 * wvg_to_cudd.h
 *
 *  Copyright (C) 2011 Stefan Bolus, University of Kiel, Germany
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef WVG_TO_CUDD_H_
#define WVG_TO_CUDD_H_

#include "Kure.h"
#include <glib.h>

/*!
 * Creates to ROBDD from a given weighted voting game [q;w] containing n
 * players. Returns NULL on error.
 */
DdNode * wvg_to_cudd (DdManager * manager, gint n, gint q, const gint * w);

#endif /* WVG_TO_CUDD_H_ */
